This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 182023 - error about missing Mail/SPF/Query.pm on each mail processed.
error about missing Mail/SPF/Query.pm on each mail processed.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: spamassassin (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks: 171491 FC5Update
  Show dependency treegraph
 
Reported: 2006-02-19 03:40 EST by Dave Jones
Modified: 2015-01-04 17:25 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-19 20:28:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2006-02-19 03:40:55 EST
each time spamc is invoked, I get this logged in maillog..

Feb 19 03:44:17 nwo spamd[20918]: Can't locate Mail/SPF/Query.pm in @INC (@INC
contains: ../lib /usr/lib/perl5/vendor_perl/5.8.8
/usr/lib64/perl5/site_perl/5.8.8/x86_64-linux-thread-multi
/usr/lib64/perl5/site_perl/5.8.7/x86_64-linux-thread-multi
/usr/lib64/perl5/site_perl/5.8.6/x86_64-linux-thread-multi
/usr/lib64/perl5/site_perl/5.8.5/x86_64-linux-thread-multi
/usr/lib64/perl5/site_perl/5.8.4/x86_64-linux-thread-multi
/usr/lib64/perl5/site_perl/5.8.3/x86_64-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl/5.8.7
/usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl/5.8.5
/usr/lib/perl5/site_perl/5.8.4 /usr/lib/perl5/site_perl/5.8.3
/usr/lib/perl5/site_perl
/usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi
/usr/lib64/perl5/vendor_perl/5.8.7/x86_64-linux-thread-multi
/usr/lib64/perl5/vendor_perl/5.8.6/x86_64-linux-thread-multi
/usr/lib64/perl5/vendor_perl/5.8.5/x86_64-linux-thread-multi
/usr/lib64/perl5/vendor_perl/5.8.4/x86_64-linux-thread-multi /usr/lib64/perl5/vendor


Sure enough, there's no Query.pm in any of those (or anywhere in /usr)
Comment 1 Paul Howarth 2006-02-19 05:05:56 EST
try:

# yum install perl-Mail-SPF-Query
Comment 2 Warren Togami 2006-02-19 05:43:22 EST
http://issues.apache.org/SpamAssassin/show_bug.cgi?id=4659
http://issues.apache.org/SpamAssassin/show_bug.cgi?id=4631

If 3.1.1 isn't released before FC5, then I have to incorporate patches like this
into our package.
Comment 3 Warren Togami 2006-03-08 16:00:59 EST
No time, moving to FC5Update
Comment 4 Warren Togami 2006-04-19 20:28:44 EDT
3.1.1 has been issued in FC5 and FC6

Note You need to log in before you can comment on or make changes to this bug.